List AI Sales Agent activities
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a1f0d3-24e5-702b-bc6c-ea06acad2bfb",
"ai_sdr_id": "01a1f0d3-24e5-702b-bc6c-ea083a1f8bdf",
"workspace_id": "01a1f0d3-24e5-702b-bc6c-ea0a816fe860",
"action_type": "create_campaign",
"action_status": "pending",
"timestamp_created": "2026-11-18T22:42:11.813Z",
"timestamp_updated": "2026-11-18T22:42:11.813Z",
"action_payload": {},
"action_output": {},
"email_id": "01a1f0d3-24e5-702b-bc6c-ea0b529da914",
"approved_by": "01a1f0d3-24e5-702b-bc6c-ea0d04976506",
"approved_at": "2026-11-18T22:42:11.813Z",
"rejected_by": "01a1f0d3-24e5-702b-bc6c-ea0fca0a7cf8",
"rejected_at": "2026-11-18T22:42:11.813Z",
"rejection_reason": "Not aligned with current strategy",
"ai_reasoning": "This lead matches the ICP criteria and has shown interest",
"ai_confidence": 0.85,
"result": {},
"error_message": "Failed to create campaign: Invalid email list",
"error_code": "insufficient_credits",
"timestamp_executed": "2026-11-18T22:42:11.813Z",
"timestamp_completed": "2026-11-18T22:42:11.813Z"
}
],
"next_starting_after": "01a1f0d3-7743-7017-a00f-1644a9bd354e"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Sales Agent
List AI Sales Agent activities
List all activities for the AI Sales Agent.
Requires one of the following scopes: ai_sdr:read, ai_sdr:all, all:read, all:all
GET
/
api
/
v2
/
ai-agents
/
sales
/
{id}
/
activities
List AI Sales Agent activities
curl --request GET \
--url https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/sales/{id}/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "01a1f0d3-24e5-702b-bc6c-ea06acad2bfb",
"ai_sdr_id": "01a1f0d3-24e5-702b-bc6c-ea083a1f8bdf",
"workspace_id": "01a1f0d3-24e5-702b-bc6c-ea0a816fe860",
"action_type": "create_campaign",
"action_status": "pending",
"timestamp_created": "2026-11-18T22:42:11.813Z",
"timestamp_updated": "2026-11-18T22:42:11.813Z",
"action_payload": {},
"action_output": {},
"email_id": "01a1f0d3-24e5-702b-bc6c-ea0b529da914",
"approved_by": "01a1f0d3-24e5-702b-bc6c-ea0d04976506",
"approved_at": "2026-11-18T22:42:11.813Z",
"rejected_by": "01a1f0d3-24e5-702b-bc6c-ea0fca0a7cf8",
"rejected_at": "2026-11-18T22:42:11.813Z",
"rejection_reason": "Not aligned with current strategy",
"ai_reasoning": "This lead matches the ICP criteria and has shown interest",
"ai_confidence": 0.85,
"result": {},
"error_message": "Failed to create campaign: Invalid email list",
"error_code": "insufficient_credits",
"timestamp_executed": "2026-11-18T22:42:11.813Z",
"timestamp_completed": "2026-11-18T22:42:11.813Z"
}
],
"next_starting_after": "01a1f0d3-7743-7017-a00f-1644a9bd354e"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Path Parameters
Query Parameters
Filter by action type (array of types)
Available options:
create_campaign, edit_campaign, stop_campaign, pause_campaign, enrich_leads, push_lead, recommend_lead, recommend_autopilot, recommend_lead_quality, warning, initial_setup_scrape, initial_setup_campaigns, initial_setup_enrich, reply_received, opportunity_received, imported_leads Example:
[
"initial_setup_scrape",
"initial_setup_campaigns"
]